## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/halo.h File Reference

Halo interfaces. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes

struct | iBaseHalo
| This is the basic interface for all types of halos. More...
struct | iCrossHalo
| This is a halo which resembles a cross. More...
struct | iFlareHalo
| This is a halo which resembles a (solar) flare. More...
struct | iNovaHalo
| This is a halo which resembles a nova. More...

## Enumerations

enum | csHaloType { cshtCross, cshtNova, cshtFlare }
| The possible halo-types. More...

## Detailed Description

Halo interfaces.

Definition in file halo.h.